From e1e12220dacb76fe45e79fa74706a3e09bbbe402 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 05:04:31 +0000
Subject: [PATCH 740/2232] Revert "Add option to omit type definitions."


This reverts commit 5a6c7b534d33680606570ffe78b025c145fe6655.

We'll instead use an `extern` type to indicate when a type has already
been defined by C++. This matches the approach to extern enums
introduced in cxx 0.3.1.

    mod ffi {
        struct TheStruct {
            ...
        }
        unsafe extern "C" {
            type TheStruct;
        }
    }

---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 1c84a23..f2e5c9b 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -34,8 +34,6 @@ pub struct Opt {
     /// Whether to set __attribute__((visibility("default")))
     /// or similar annotations on function implementations.
     pub cxx_impl_annotations: Option<String>,
-    /// Whether to omit definitions of types.
-    pub omit_type_definitions: bool,
 }
 
 /// Results of code generation.
diff --git a/gen/src/write.rs b/gen/src/write.rs
index b184b52..51c4b02 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -60,7 +60,7 @@ pub(super) fn gen(
 
     for api in apis {
         match api {
-            Api::Struct(strct) if !opt.omit_type_definitions => {
+            Api::Struct(strct) => {
                 out.next_section();
                 write_struct(out, strct);
             }
@@ -68,7 +68,7 @@ pub(super) fn gen(
                 out.next_section();
                 if types.cxx.contains(&enm.ident) {
                     check_enum(out, enm);
-                } else if !opt.omit_type_definitions {
+                } else {
                     write_enum(out, enm);
                 }
             }

